On Fri, Aug 10 2018, Michael Orlitzky wrote:

> On 08/09/2018 10:49 PM, allan gottlieb wrote:
>> I run a stable system so am surprised to see that eix reports
>> I have gcc version ~7.3.0-r3 installed.  (gcc-config -l reports
>> that stable x86_64-pc-linux-gnu-6.4.0 is the active compiler)
>> 
>> More surprising is that
>>    emerge --depclean --pretend sys-devel/gcc
>> wants to remove everything *except* the testing/nonstable 7.3.0-r3
>> 
>
> gcc-7.3.0-r3 is stable, you probably updated your ::gentoo repository
> without updating eix. Run eix-update and check again.

Thank you!

If I now upgrade with

    gcc-config x86_64-pc-linux-gnu-7.3.0
    env-update && source /etc/profile
    emerge --ask --oneshot sys-devel/libtool

must I do a world update --emptytree as when converting to the 13.0
profile.

I believe not as the requirement when upgrading to 13.0 was due to the
new generation of PIE output.

Again, thank you.
allan

Reply via email to